nxt

## Class TransactionType.Messaging

- java.lang.Object
- - nxt.TransactionType
  - - nxt.TransactionType.Messaging

- Enclosing class:
    TransactionType

      public abstract static class TransactionType.Messaging
      extends TransactionType

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class nxt.TransactionType

      `TransactionType.AccountControl, TransactionType.ColoredCoins, TransactionType.Data, TransactionType.DigitalGoods, TransactionType.Messaging, TransactionType.Payment`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TransactionType.Messaging` | `ACCOUNT_INFO`
    `static TransactionType.Messaging` | `ACCOUNT_PROPERTY`
    `static TransactionType.Messaging` | `ACCOUNT_PROPERTY_DELETE`
    `static TransactionType` | `ALIAS_ASSIGNMENT`
    `static TransactionType` | `ALIAS_BUY`
    `static TransactionType` | `ALIAS_DELETE`
    `static TransactionType` | `ALIAS_SELL`
    `static TransactionType` | `ARBITRARY_MESSAGE`
    `static TransactionType` | `HUB_ANNOUNCEMENT`
    `static TransactionType` | `PHASING_VOTE_CASTING`
    `static TransactionType` | `POLL_CREATION`
    `static TransactionType` | `VOTE_CASTING`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getType()`

    - ### Methods inherited from class nxt.TransactionType

      `canHaveRecipient, findTransactionType, getLedgerEvent, getName, getSubtype, isPhasable, isPhasingSafe, mustHaveRecipient, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ARBITRARY_MESSAGE

          public static final TransactionType ARBITRARY_MESSAGE

    - #### ALIAS_ASSIGNMENT

          public static final TransactionType ALIAS_ASSIGNMENT

    - #### ALIAS_SELL

          public static final TransactionType ALIAS_SELL

    - #### ALIAS_BUY

          public static final TransactionType ALIAS_BUY

    - #### ALIAS_DELETE

          public static final TransactionType ALIAS_DELETE

    - #### POLL_CREATION

          public static final TransactionType POLL_CREATION

    - #### VOTE_CASTING

          public static final TransactionType VOTE_CASTING

    - #### PHASING_VOTE_CASTING

          public static final TransactionType PHASING_VOTE_CASTING

    - #### HUB_ANNOUNCEMENT

          public static final TransactionType HUB_ANNOUNCEMENT

    - #### ACCOUNT_INFO

          public static final TransactionType.Messaging ACCOUNT_INFO

    - #### ACCOUNT_PROPERTY

          public static final TransactionType.Messaging ACCOUNT_PROPERTY

    - #### ACCOUNT_PROPERTY_DELETE

          public static final TransactionType.Messaging ACCOUNT_PROPERTY_DELETE

  - ### Method Detail

    - #### getType

          public final byte getType()

      Specified by:
        `getType` in class `TransactionType`